Remove Work Order Labor

Remove an actual labor record from an existing work order.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

POST Remove Actual Labor

Remove an actual labor record from an existing work order.

POST /ODataApi/v1/WorkOrders('{name}')/RemoveActualLabor

Endpoint

https://{sitename}.mvpplant.com/ODataApi/v1/WorkOrders('{name}')/RemoveActualLabor

Replace:

  • {sitename} with your MVP One site name.
  • {name} with the work order name or identifier.

Path parameter

ParameterData typeRequiredDescription
nameStringYesWork order name or identifier for the work order containing the actual labor record.

Request body fields

FieldData typeRequiredDescription
CraftStringYesCraft associated with the actual labor record to remove.
HoursDecimalYesRegular labor hours for the actual labor record to remove.
OTHoursDecimalNoOvertime labor hours for the actual labor record to remove.
PeopleIDStringYesIdentifier of the person associated with the actual labor record.
StartDateDateTimeOffsetYesDate and time the actual labor record started.

Example request

{
  "Craft": "Electrician",
  "Hours": 4.0,
  "OTHours": 0.0,
  "PeopleID": "JSMITH",
  "StartDate": "2026-06-22T08:00:00Z"
}

Example endpoint

POST https://company.mvpplant.com/ODataApi/v1/WorkOrders('WO-1001')/RemoveActualLabor

Response

A successful request returns a Boolean value:

true

Notes

  • The work order and actual labor record must exist before you call this endpoint.
  • Use single quotes around the work order name or identifier in the endpoint URL.
  • Include the required fields to identify the actual labor record you want to remove.
Path Params
string
required

The work order name or identifier.

Body Params
string
required

Craft associated with the actual labor record to remove.

number
required

Regular labor hours for the actual labor record to remove.

number

Overtime labor hours for the actual labor record to remove.

string
required

Identifier of the person associated with the actual labor record.

date-time
required

Date and time the actual labor record started.

Response

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json